CREATE TABLE cz_compat_combinations (
    PARTICIPANT_ID           NUMBER(18, 0),
    PRIMARY_OPT_ID           NUMBER(18, 0),
    SECONDARY_OPT_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    RULE_ID                  NUMBER(18, 0)    NOT NULL,
    START_MODEL_VERSION      NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG             NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PARTICIPANT_ID           NUMBER(18, 0),
    PRIMARY_OPT_ID           NUMBER(18, 0),
    SECONDARY_OPT_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    RULE_ID                  NUMBER(18, 0)    NOT NULL,
    START_MODEL_VERSION      NUMBER(18, 0)    NOT NULL,
    DELETED_FLAG             NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_cz_compat_combinations PRIMARY KEY (PARTICIPANT_ID, PRIMARY_OPT_ID, SECONDARY_OPT_ID, PARTICIPANT_ID, PRIMARY_OPT_ID, SECONDARY_OPT_ID)
);
